package rainmelt.api;

import java.util.HashMap;
import java.util.Map;

public enum APITable {

	INSTANCE;
	
	static {
		INSTANCE.add(new who());
		INSTANCE.add(new login());
		INSTANCE.add(new commandList());
	}
	
	private Map<String, API> map = new HashMap<String, API>();
	
	public void add(final API command) {
		map.put(command.getClass().getSimpleName(), command);
	}
	
	public API get(final String opcode) {
		return map.get(opcode);
	}
	
}
