package rainmelt.api;

import java.util.Collection;

import rainmelt.Handler;
import rainmelt.HandlerManager;
import rainmelt.packet.APIPacket;
import rainmelt.packet.AccountListPacket;

public final class who implements API {

	@Override
	public void execute(final Handler handler, final APIPacket packet) {
		final Collection<Handler> list = HandlerManager.INSTANCE.getValues();
		final AccountListPacket p = new AccountListPacket(packet.id);
		for (Handler h : list) {
			p.add(h.getAccount().getID());
		}
		handler.send(p);
	}

}
