package rainmelt.fileapi;

import java.util.HashMap;
import java.util.Map;

public enum FileAPITable {

	INSTANCE;
	
	static {
		INSTANCE.add(new list());
		INSTANCE.add(new status());
		INSTANCE.add(new delete());
		INSTANCE.add(new load());
		INSTANCE.add(new save());
		INSTANCE.add(new createDirectory());
	}
	
	private Map<String, FileAPI> map = new HashMap<String, FileAPI>();
	
	public void add(final FileAPI command) {
		map.put(command.getClass().getSimpleName(), command);
	}
	
	public FileAPI get(final String opcode) {
		return map.get(opcode);
	}
	
}
