package rainmelt.packet;

public final class ResultPacket {
	
	public enum Status {
		SUCCESS,
		FAILURE,
		;
	}
	
	public String id;
	public String opcode = "Result";
	
	public Status status;
	public String message;
	
	@SuppressWarnings("unused")
	private ResultPacket() {
	}
	
	public ResultPacket(final String id, final Status status, final String message) {
		this.id = id;
		this.status = status;
		this.message = message;
	}

}
