package rainmelt;

import java.util.Collection;

public final class StringUtil {

	public static String join(final Collection<String> elements, final String delimiter) {
		final StringBuilder sb = new StringBuilder();
		boolean first = true;
		for (String element : elements) {
			if (!first) {
				sb.append(delimiter);
			}
			sb.append(element);
			first = false;
		}
		return sb.toString();
	}
	
}
