package rainmelt.api;

import rainmelt.Handler;
import rainmelt.command.CommandTable;
import rainmelt.packet.APIPacket;
import rainmelt.packet.StringListPacket;

public final class commandList implements API {

	@Override
	public void execute(final Handler handler, final APIPacket packet) {
		final StringListPacket p = new StringListPacket(packet.id);
		for (String name : CommandTable.INSTANCE.getCommandNames()) {
			p.add(name);
		}
		handler.send(p);
	}

}
