package rainmelt.command;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public enum CommandTable {

	INSTANCE;
	
	static {
		INSTANCE.add(new wecho());
	}
	
	private Map<String, Command> map = new HashMap<String, Command>();
	
	public void add(final Command command) {
		map.put(command.getClass().getSimpleName(), command);
	}
	
	public Command get(final String opcode) {
		return map.get(opcode);
	}
	
	public Collection<String> getCommandNames() {
		return map.keySet();
	}
	
}
