package rainmelt.command;

import rainmelt.Handler;
import rainmelt.packet.CommandPacket;
import rainmelt.packet.ResultPacket;

public final class wecho implements Command {

	@Override
	public void execute(final Handler handler, final CommandPacket packet) {
		final StringBuilder sb = new StringBuilder();
		for (int i = 0; i < packet.args.length; i++) {
			if (i > 0) {
				sb.append(" ");
			}
			sb.append(packet.args[i]);
		}
		sb.append("\n");
		
		final ResultPacket r = new ResultPacket(packet.id, ResultPacket.Status.SUCCESS, sb.toString());
		handler.send(r);
	}

}
