package rainmelt.packet;

import java.util.ArrayList;
import java.util.List;

public final class StringListPacket {

	public String id;
	public String opcode = "StringList";
	
	public final List<String> list = new ArrayList<String>();
	
	@SuppressWarnings("unused")
	private StringListPacket() {
	}
	
	public StringListPacket(final String id) {
		this.id = id;
	}
	
	public void add(final String s) {
		list.add(s);
	}
	
}